# MongoClient::__get

(PECL mongo >=1.3.0)

MongoClient::__get — Gets a database

This extension that defines this method is deprecated. Instead, the MongoDB extension should be used. There is no equivalent for this method in the new extension, but there is an alternative in the PHP library:

- » MongoDB\Client::__get()

### Description

public MongoClient::__get ( string `$dbname` ) : MongoDB

This is the cleanest way of getting a database. If the database name has any special characters, MongoClient::selectDB() will need to be used; however, this should be sufficient for most cases.

`<?php
$mongo = new MongoClient();
// the following two lines are equivalent
$db = $mongo->selectDB("foo");
$db = $mongo->foo;
?>`

### Parameters

`dbname`

  The database name.

### Return Values

Returns a new db object.

### Errors/Exceptions

Throws a generic exception if the database name is invalid.